local boxWidth = 256;

local x = Def.ActorFrame{
	InitCommand=cmd(Center;diffusealpha,0);
	OnCommand=cmd(linear,0.2;diffusealpha,1);

	--[[
	LoadActor("_under")..{
		Name="Frame";
		InitCommand=cmd(x,(-SCREEN_WIDTH*0.2325));
		-- paranoia hack
		OffCommand=cmd(linear,0.2;diffusealpha,0);
	};
	--]]

	Def.ActorFrame{
		Name="ToastyFrame";
		InitCommand=cmd(x,SCREEN_WIDTH*0.225;y,-1);

		LoadActor( THEME:GetPathB("","_frame 3x3"), "_square blackinset transparent normal", boxWidth-2, 192)..{
			InitCommand=cmd(y,56);
		};

		Def.ActorFrame{
			InitCommand=cmd(y,-60);

			LoadActor( THEME:GetPathB("","_frame 3x1"), "_infobox header", boxWidth-2 )..{
				Name="Header";
				InitCommand=cmd(diffuse,color("#00CCFF"));
			};

			AutoText("frutiger")..{
				Text=ScreenString("Toasty Information");
				InitCommand=cmd(y,-1.5;NoStroke;shadowlength,1;zoom,0.55);
			};
		};

		AutoText("frutiger")..{
			Text=ScreenString("Name");
			InitCommand=cmd(x,-128;y,-32;NoStroke;shadowlength,1;zoom,0.6;halign,0);
		};

		AutoText("frutiger")..{
			Text=ScreenString("Origin");
			InitCommand=cmd(x,-128;y,16;NoStroke;shadowlength,1;zoom,0.6;halign,0);
		};

		AutoText("frutiger")..{
			Text=ScreenString("Backstory");
			InitCommand=cmd(x,-128;y,70;NoStroke;shadowlength,1;zoom,0.6;halign,0);
		};
	};
};

return x;